
QGIS Application - Bug report #6038

Forward Transform Error of GPS data...

2012-07-13 01:11 PM - Brian Fitzgerald

Status: Closed

Priority: High

Assignee: Magnus Homann

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Android Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 15409

Description

I'm using QGIS for android but I believe this is a QGIS bug (not specific to QGIS for Android):

- Samsung Galaxy 10.1 wifi tab

- QGIS Project Properties in Google Pseudo Mercator (EPSG:3857)

- LAMP Geoserver WMS basemap in Google Pseudo Mercator (EPSG:3857)

- Internal Tab GPS Information streaming in WGS84 (EPSG:4326 I presume)

- Project Properties -> Enable 'on the fly' CRS transformation enabled

Error I get is:

"Forward transform of (-157415.0, 70336.0) PROJ.4: + proj=lat......"

See attached screenshot.

History

#1 - 2012-07-28 03:15 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Projection Support

seems very similar to #5895. Does this error makes QGIS not responding anymore?

#2 - 2012-08-01 05:25 AM - Brian Fitzgerald

Yes, QGIS becomes unresponsive and crashes hard.

#3 - 2012-08-02 03:22 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

Brian Fitzgerald wrote:

Yes, QGIS becomes unresponsive and crashes hard.
#4 - 2012-08-09 11:26 AM - Brian Fitzgerald

Only workaround seems to be use basemaps in WGS84 4326.

#5 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#6 - 2012-09-06 12:44 AM - Magnus Homann

Does it happen directly, or what steps is necessary to reproduce it?

#7 - 2012-09-06 12:45 AM - Magnus Homann

- Assignee set to Magnus Homann

#8 - 2012-09-13 10:36 AM - Magnus Homann

I fixed some crashes, does this still persist?

#9 - 2012-09-13 11:36 AM - Giovanni Manghi

Magnus Homann wrote:

I fixed some crashes, does this still persist?

ummm... yes. Before it sent the message and then freezed, now it eats up the memory and crashes

WARNING:  there is no transaction in progress

Error No hash found for 74df9566aeba01c89baf7dc01c7aa4e7:

Error No hash found for 74df9566aeba01c89baf7dc01c7aa4e7:

Error No hash found for 74df9566aeba01c89baf7dc01c7aa4e7:

Error No hash found for 1321306ffc74a51f666e002b1e5592ce:

Error No hash found for 74df9566aeba01c89baf7dc01c7aa4e7:

Error No hash found for 74df9566aeba01c89baf7dc01c7aa4e7:

Error No hash found for 74df9566aeba01c89baf7dc01c7aa4e7:

Error No hash found for 74df9566aeba01c89baf7dc01c7aa4e7:

Error No hash found for 74df9566aeba01c89baf7dc01c7aa4e7:

Error No hash found for 1321306ffc74a51f666e002b1e5592ce:

Error No hash found for 1321306ffc74a51f666e002b1e5592ce:

Segmentation fault (core dumped)

#10 - 2012-09-13 12:59 PM - Magnus Homann

Thought it was a transform error, but more of a GPS general error it seems. Don't have any GPS to test with, so I'll go pick some other low hanging fruit. :-)

#11 - 2012-09-13 01:01 PM - Giovanni Manghi
Magnus Homann wrote:

Thought it was a transform error, but more of a GPS general error it seems. Don't have any GPS to test with, so I'll go pick some other low hanging

fruit. :-)

sorry my mistake, the test was made with just a wms layer in lat/lon and a vector in a projected crs

#12 - 2012-09-13 02:45 PM - Magnus Homann

Does your test project for #5895 crash also?

#13 - 2012-09-14 09:45 AM - Giovanni Manghi

Magnus Homann wrote:

Does your test project for #5895 crash also?

just tested the latest master with the data attached to #5895 and it doesn't crash anymore, so diregard my previous comment. I will later test with a GPS.

Cheers!

#14 - 2012-09-17 10:16 AM - Giovanni Manghi

- Operating System set to Android

- Status changed from Open to Feedback

Is this still confirmed?

I cannot confirm this with a very similar project setup, but under Windows instead of Android. Also under Linux works as expected.

You should also try a recent Android build, if available.

#15 - 2012-09-17 11:00 AM - Magnus Homann

- Status changed from Feedback to Closed

I'm closing this for now. Pleas reopen if it persists. Thanks for the help!
